using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using skyscraper5.Dvb.SystemSoftwareUpdate;
using skyscraper5.Dvb.SystemSoftwareUpdate.Model;
using skyscraper5.Mpeg2;
using skyscraper5.Mpeg2.Psi.Model;
using skyscraper5.Skyscraper.Plugins;

namespace skyscraper5.Skyscraper.Scraper.StreamAutodetection.Contestants
{
	[SkyscraperPlugin]
	class UntContestant : Contestant, UpdateNotificationEventHandler, IDisposable
    {
        public UntContestant(int pid) : base("UNT", pid)
        {
            ProgramMapping pmt = new ProgramMapping(1, 2);
            PacketProcessor = new PsiDecoder(pid, new UntDecoder(this, pmt));
        }

        public void UpdateNotification(UpdateNotificationGroup common, UpdateNotificationTarget target, ushort ProgramNumber)
        {
            Score++;
        }

        public override void Dispose()
        {
            
        }

        public override void DeclareWinner(SkyscraperContext skyscraperContext, int pid, ProgramContext programContext)
        {
	        throw new NotImplementedException();
        }

        public override void Introduce(ProgramContext programContext)
        {
	        
        }
    }
}
